@echo off
set "source=%~dp0"
if "%source%x"=="x" (
set source=.\
)
NET SESSION >nul 2>&1
IF not %ERRORLEVEL%==0 (
goto noadmin
)
cd /d "%source%"
cls
set EC.ROM=eN2xJU.04
ECWinflash %EC.ROM% -h
goto end
:noadmin
echo Please run this program with Administrative Rights
echo ==================================================
echo.
:end
pause
